## lib1305 0~20250407

=== debian/changelog ===
lib1305 (0~20250407-3) unstable; urgency=medium

  * d/p/0001-arm32-skip-checkinsns-test.patch remove
  * d/rules: add workaround for armel platform which disables ASM version
    of cryptoint
  * d/salsa-ci.yml: enable build on ARMEL

 -- Jan Mojžíš <janmojzis@debian.org>  Sun, 13 Apr 2025 10:32:31 +0200

lib1305 (0~20250407-2) unstable; urgency=medium

  * d/p/0001-arm32-skip-checkinsns-test.patch add, fix build on armel

 -- Jan Mojžíš <janmojzis@debian.org>  Sun, 13 Apr 2025 07:51:48 +0200

lib1305 (0~20250407-1) unstable; urgency=medium

  * Initial release.  Closes: #1102291.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 07 Apr 2025 13:20:09 +0200
