## lib1305 0~20250415

=== build/Makefile ===
default:
	cd amd64 && $(MAKE)

install:
	cd amd64 && $(MAKE) install

clean:
	rm -r amd64
