=== debian/changelog ===
lib1305 (0~20250415-3) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/watch: rewrite to version 5
  * d/salsa-ci.yml: temp. disable build on arm64,armhf,armel (no runners)
  * d/control: remove Rules-Requires-Root: no

  [ Simon Josefsson ]
  * Fix man pages wrt groff-message C font.
  * Tighten Salsa CI.
  * Add lrc.excludes.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 02 Nov 2025 19:22:46 +0100

lib1305 (0~20250415-2) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/control: use valgrind-if-available instead of valgrind in Recommends

  [ Simon Josefsson ]
  * Change maintainer to pkg-security.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 16 Aug 2025 13:36:19 +0200

lib1305 (0~20250415-1) unstable; urgency=medium

  * New upstream version 20250415
  * d/rules: remove armel workaround, fixed in upstream

 -- Jan Mojžíš <janmojzis@debian.org>  Tue, 15 Apr 2025 11:07:07 +0200
