=== debian/control ===
Source: lib1305
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
 Jan Mojžíš <janmojzis@debian.org>,
Priority: optional
Standards-Version: 4.7.2
Section: libs
Homepage: https://lib1305.cr.yp.to/
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 libcpucycles-dev,
 librandombytes-dev,
 pandoc [!m68k !sh4 !x32] <!nodoc>,
 python3,
 python3-capstone,
 valgrind-if-available,
Vcs-Git: https://salsa.debian.org/debian/lib1305.git
Vcs-Browser: https://salsa.debian.org/debian/lib1305

Package: lib1305-1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Poly1305 one-time authenticator microlibrary - shared library
 lib1305 is a microlibrary for the Poly1305 one-time authenticator.
 .
 lib1305 has a very simple stateless API based on the SUPERCOP API,
 with wire-format inputs and outputs, providing a function poly1305 to
 generate an authenticator and a function poly1305_verify to verify an
 authenticator.
 .
 Internally, lib1305 includes implementations designed to work
 portably across CPUs, and implementations designed for higher
 performance on Intel/AMD CPUs with BMI2 instructions. lib1305
 includes automatic run-time selection of implementations.
 .
 lib1305 is intended to be called by larger multi-function libraries
 (such as traditional cryptographic libraries), including libraries in
 other languages via FFI. The idea is that lib1305 takes
 responsibility for the details of Poly1305 computation, including
 optimization, timing-attack protection, and (planned) verification,
 freeing up the calling libraries to concentrate on
 application-specific needs such as protocol integration. Applications
 can also call lib1305 directly.
 .
 Shared library.

Package: lib1305-dev
Section: libdevel
Architecture: any
Depends:
 lib1305-1 (= ${binary:Version}),
 ${misc:Depends},
Description: Poly1305 one-time authenticator microlibrary - development files
 lib1305 is a microlibrary for the Poly1305 one-time authenticator.
 .
 Development files.

Package: poly1305
Section: devel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 valgrind-if-available,
 ${python3:Depends},
Description: lib1305 one-time authenticator microlibrary - command line tools
 lib1305 is a microlibrary for the Poly1305 one-time authenticator.
 .
 The lib1305-speed, lib1305-test and lib1305-fulltest tools can be
 used for benchmarking and internal self testing.  Python and Valgrind
 is only needed for the lib1305-fulltest tool, the other tools are
 written in C.
 .
 Command line tools.
