=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,6 @@
 # built with either -fstack-clash-protection or -fstack-check.
 ifeq ($(DEB_TARGET_ARCH), armhf)
 export DEB_BUILD_MAINT_OPTIONS = hardening=hardening=+all,-stackclash
-endif
-
-# XXX This trick disables ASM version of cryptoint on armel.
-# It's workaroud for:
-# Error: selected processor does not support `uxth r0,r0' in ARM mode
-ifeq ($(DEB_TARGET_ARCH), armel)
-export DEB_CFLAGS_MAINT_APPEND = -D__thumb__
 endif
 
 # crossbuild
@@ -46,6 +39,11 @@
 endif
 
 override_dh_auto_configure:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	head -v $(shell find . -name lib1305.3)
+	(! command -v pandoc) || autogen/man
+	head -v $(shell find . -name lib1305.3)
+endif
 	./configure --host=$(ABINAME) --prefix=/usr $(DISABLE_VALGRIND)
 
 override_dh_auto_clean:
