=== debian/tests/control ===
Tests:
 test1305-static,
Depends:
 dpkg-dev,
 build-essential,
 lib1305-dev,
 librandombytes-dev,

Tests:
 test1305-shared,
Depends:
 dpkg-dev,
 build-essential,
 lib1305-1,
 lib1305-dev,
 librandombytes-dev,

Tests:
 lib1305-fulltest,
Restrictions:
 allow-stderr,
 skippable,
Depends:
 dpkg-dev,
 build-essential,
 lib1305-1,
 lib1305-dev,
 libcpucycles-dev,
 librandombytes-dev,
 python3,
 rsync,
 valgrind-if-available,
